Bug 206054 - The JavaParsingContext should initialize project queries and property files on demand
The JavaParsingContext should initialize project queries and property files o...
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Source
7.2
All All
: P3 (vote)
: 7.2
Assigned To: Tomas Zezula
issues@java
: PLAN
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-07 09:16 UTC by Tomas Zezula
Modified: 2012-03-17 10:37 UTC (History)
0 users

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Zezula 2011-12-07 09:16:00 UTC
The JavaParsingContext should initialize project queries and property files on demand. The initialization in constructor slows down up to date check where the queries are not used.
Comment 1 Tomas Zezula 2012-03-15 20:29:53 UTC
Fixed jet-main 9a9337ad3afc
Comment 2 Quality Engineering 2012-03-17 10:37:13 UTC
Integrated into 'main-golden', will be available in build *201203170400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/9a9337ad3afc
User: Tomas Zezula <tzezula@netbeans.org>
Log: #206054:The JavaParsingContext should initialize project queries and property files on demand


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo